Ethiack Docs
Organization events

List Organization Events

GET
/v1/organizations/{organization_id}/events/

Fetches a list of user-accessible events for the specified organization, with support for pagination.

AuthorizationBasic <token>

Go to https://portal.ethiack.com/settings/api and generate your API keys. Simply use username=key, password=secret.

In: header

Path Parameters

organization_id*integer

The unique identifier of the organization to retrieve events for.

Query Parameters

page?integer

Page number

per_page?integer

Number of events per page

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.ethiack.com/v1/organizations/0/events/"
{
  "events": [
    {
      "id": null,
      "name": "string",
      "slug": "string",
      "organization_id": 0,
      "event_type": 0,
      "event_category": 0,
      "dimension": null,
      "latitude": null,
      "longitude": null,
      "start_date": "2019-08-24T14:15:22Z",
      "end_date": "2019-08-24T14:15:22Z",
      "status": "paused",
      "dimension_type": null,
      "picture": null
    }
  ]
}
{
  "code": 0,
  "name": null,
  "description": "string",
  "success": false
}
{
  "code": 0,
  "name": null,
  "description": "string",
  "success": false
}
{
  "code": 0,
  "name": null,
  "description": "string",
  "success": false
}